#pragma once
#include "MicroBehaviour.h"
#include "ParticleGenerator.h"

class PhotonCannonMicroBehaviour : public MicroBehaviour {
public:
	PhotonCannonMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();

private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;
	Position fallBackLocation;
	bool attacking;
	bool moving;
	int currentTargetValue;

protected:


};